package com.miya.draw.config.ahas;

import com.alibaba.csp.sentinel.adapter.servlet.callback.WebCallbackManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * 初始化异常处理类
 *
 * @author wangjun
 * @version 1.0
 * @since 2020/9/8 10:36
 **/
@Component
@Order(0)
@Slf4j
public class SentinelInitConfig implements CommandLineRunner {

    @Override
    public void run(final String... args) {
        log.info("**************初始化Sentinel**************");
        WebCallbackManager.setUrlBlockHandler(new SentinelBlockHandler());
    }
}
