/*
 * Miya.com Inc.
 * Copyright (c) 2004-${YEAR} All Rights Reserved.
 */
package com.miya.draw.config.business;


/**
 * 封装读取业务配置
 *
 * @author jack
 */
public interface BusinessConfig {
    /**
     * 活动Id
     * @return
     */
    Long getActivityId();

    /**
     * 抽奖方式
     * @return
     */
    Integer getRaffle();

    /**
     * 多少件算一次
     * @return
     */
    Integer getAmountunit();

    /**
     * 最多买多少件
     * @return
     */
    Integer getMaxamount();

    /**
     * 最大抽奖次数
     *
     * @return
     */
    Integer getDrawMaxCount();

    /**
     * 多少元算一次
     *
     * @return
     */
    String getDrawCountUnit();

    /**
     * 理论上最大可花费金额
     *
     * @return
     */
    Long getDrawMaxMoney();

    /**
     * 抽奖有效时间
     * @return
     */
    int getValidTime();


}
