/*
 * Miya.com Inc.
 * Copyright (c) 2004-${YEAR} All Rights Reserved.
 */
package com.miya.draw.config.business;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 读取业务配置实现类
 *
 * @author jack
 */
@Data
@Component
public class BusinessConfigImpl implements BusinessConfig {
    @Value("${draw.activityId}")
    private Long activityId;

    @Value("${draw.raffle}")
    private Integer raffle;

    @Value("${draw.maxcount}")
    private Integer drawMaxCount;

    @Value("${draw.amountunit}")
    private Integer amountunit;

    @Value("${draw.maxamount}")
    private Integer maxamount;

    @Value("${draw.countunit}")
    public String drawCountUnit;

    @Value("${draw.maxmoney}")
    public Long drawMaxMoney;

    @Value("${draw.validTime}")
    private int validTime;


}
