package com.miya.draw.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 奖品类型Enum
 *
 * @author jack
 */
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
public enum PrizeTypeEnum {

    /**
     * 虚拟
     */
    VIRTUAL(2, "虚拟"),
    /**
     * 实物
     */
    PHYSICAL(1, "实物"),

    NO_COUPON(3, "未中奖");

    private final Integer code;

    private final String name;
}
