package com.miya.draw.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 交易类型枚举
 *
 * @author jack
 */
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
public enum TradeTypeEnum {

    /**
     * 销售
     */
    SALE("sale", "销售"),

    /**
     * 退款
     */
    REFUND("refund", "退款");

    private final String type;

    private final String name;
}
