package com.miya.draw.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 是否枚举
 * @author jack
 */
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
public enum YesOrNoEnum {

    /**
     * 成功
     */
    YES(1, "成功"),
    /**
     * 失败
     */
    NO(0, "失败");

    private final Integer code;

    private final String name;
}
