package com.miya.draw.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 所有的中奖信息请求
 *
 * @author jack
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "获取所有的中奖信息请求")
public class PrizeDrawListRequest extends BaseRequest {

    @NotNull(message = "活动Id不能为空")
    @ApiModelProperty(value = "手机号", required = true)
    private Long activityId;

    @ApiModelProperty(value = "一次请求多少条 默认30")
    private Integer size = 30;
}
