package com.miya.draw.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * 点击抽奖响应模型
 *
 * @author jack
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "点击抽奖响应模型")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrawClickResponse extends BaseResponse {

    private Long id;

    @ApiModelProperty(value = "中奖id")
    private Long myPrizeId;

    @ApiModelProperty(value = "奖品名称")
    private String prizeName;

    @ApiModelProperty(value = "奖品图片")
    private String prizeImg;

    @ApiModelProperty(value = "奖品描述")
    private String prizeDesc;

    @ApiModelProperty(value = "1实物 2虚拟 3未中奖")
    private Integer prizeType;
}
