package com.miya.draw.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * 整体中奖信息
 *
 * @author jack
 */
@ApiModel(value = "查看我的奖品响应模型")
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PrizeDrawListResponse extends BaseResponse {


    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "用户名称")
    private String accountName;

    @ApiModelProperty(value = "奖品名称")
    private String prizeName;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

}
