package com.miya.draw.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.miya.draw.entity.Winner;
import com.miya.draw.mapper.WinnerMapper;
import com.miya.draw.service.IWinnerService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author jack
 * @since 2021-05-10
 */
@Service
@Slf4j
@DS("db2")
public class WinnerServiceImpl extends ServiceImpl<WinnerMapper, Winner> implements IWinnerService {

    @Resource
    private WinnerMapper winnerMapper;

    @Override
    public Integer saveOrUpdateBatchByDulpKey(List<Winner> winnerList) {
        return winnerMapper.saveOrUpdateBatchByDulpKe(winnerList);
    }
}
