package com.miya.draw.config.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 封装我们的返回数据信息
 *
 * @author 13:58 2019/2/22
 **/
@Data
@ApiModel(value = "统一返回模型")
public class RestResult<T> {

    @ApiModelProperty(value = "是否成功 true成功 false失败")
    private boolean success;

    @ApiModelProperty(value = "错误码")
    private String errcode;

    @ApiModelProperty(value = "错误信息")
    private String errmsg;

    @ApiModelProperty(value = "数据")
    private T data;

    public static RestResult create() {
        return new RestResult();
    }
}