/*
 * Miya.com Inc.
 * Copyright (c) 2004-2018 All Rights Reserved.
 */
package com.miya.draw.config.swagger;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;

/**
 * @author ${zhangguodong}
 * @version $Id: swagger2.java, v 0.1 2018年08月06日 11:19 ${zhangguodong} Exp $
 */
@Configuration
public class Swagger2Configuration {

    @Bean
    public Docket createRestApi() {
        return new Docket(DocumentationType.SWAGGER_2)
                .enable(true)
                .apiInfo(apiInfo())
                .select()
                .apis(RequestHandlerSelectors.basePackage("com.miya.draw.controller"))
                .paths(PathSelectors.any())
                .build()
//                .pathMapping("/api")
                ;
    }

    private ApiInfo apiInfo() {
        return new ApiInfoBuilder()
                .title("抽奖项目文档")
                //api描述
                .description("")
                //外链详细信息地址
                .termsOfServiceUrl("")
                .version("1.0.0")
                .build();
    }
}
