package com.miya.draw.config.xxl;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author tianjunwei
 * @date 2018/11/28 20:07
 */

@Data
@Configuration
@ConfigurationProperties(prefix = "xxl.job")
public class XXlJobConfigProperty {


    private Admin admin;

    private Executor executor;


    @Data
    public static class Executor{
        //应用名称
        private String appname;

        private String ip;

        //服务端口
        private Integer port;
    }

    @Data
    public static class Admin{

        //注册中心地址
        private String addresses;
    }

}
