package com.miya.draw.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author ：djf
 * @date ：2022-11-14
 * @description：活动状态
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum ValidStatusEnum {
    /**
     * 成功
     */
    VALID(1, "有效"),
    /**
     * 失败
     */
    INVALID(0, "无效");

    private final Integer code;

    private final String name;
}
