package com.miya.draw.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 发券
 *
 * @author jack
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SendCouponModel {

    /**
     * appId
     */
    private String appId;

    /**
     * 券id
     */
    private String id;

    /**
     * 经度
     */
    private String latitude;

    /**
     * 维度
     */
    private String longitude;

    /**
     * 用户名-手机号
     */
    private String nickName;

    /**
     * openId
     */
    private String openId;
}
