package com.miya.draw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miya.draw.entity.SyncTrade;
import com.miya.draw.entity.Trade;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jack
 * @since 2021-05-10
 */
public interface ITradeService extends IService<Trade> {

    /**
     * 获得需要同步的数据
     * @param maxId
     * @param maxSize
     * @return
     */
    List<Trade> ListNeedSyncTrade(Long maxId, Integer maxSize);

    /**
     * 非事务
     * @param batchTrade
     * @return
     */
    boolean updateBatchByIdNoTrans(List<SyncTrade> batchTrade);
}
